<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'qtype_easyofischer', language 'en', branch 'MOODLE_20_STABLE'
 *
 * @package    qtype
 * @subpackage easyofischer
 * @copyright  2014 onwards Carl LeBlond
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

$string['staggered'] = 'Staggered';
$string['eclipsed'] = 'Eclipsed';
$string['rotationallowed'] = 'Rotation permitted.';
$string['rotationmore'] = '<h3>Do you want to allow rotations by 180<supo</sup>?</h3>';
$string['numofstereo'] = '# of Stereocenters';
$string['numofstereomore'] = '<h3>How many stereocneters would you like?</h3>';
$string['fischerinstruct'] = '<h3>Build structure below by dragging/dropping groups onto template.</h3>';
$string['fischerinstructstud'] = '<b>Build structure below by dragging/dropping groups onto template.</b>';
$string['addmoreanswerblanks'] = 'Blanks for {no} More Answers';
$string['answermustbegiven'] = 'You must enter an answer if there is a grade or feedback.';
$string['answerno'] = 'Answer {$a}';
$string['pluginname'] = 'Fischer Projections';
$string['pluginname_help'] = 'Draw a Fischer projection below.  Choose whether you want to display eclipsed or staggered.  Then choose whether the conformation or the view perspective is important in grading.  You can ask questions like;<br><ul>Draw (r)-2-butanol looking up the C2-C3 bond?</ul>';
$string['pluginname_link'] = 'question/type/easyofischer';
$string['pluginnameadding'] = 'Adding a Fischer Projection question';
$string['pluginnameediting'] = 'Editing a Fischer Projection question';
$string['pluginnamesummary'] = 'Student must construct Fischer projections by dragging groups onto a template which you predefine.  You can ask questions like;<ul><li>Draw L-alanine?</li><li>Convert the following structure into a Fischer projection?</li></ul>';
$string['easyofischer_options'] = 'Marvin Applet options';
$string['enablejava'] = 'Tried but failed to load javascript. You have not got a JAVA runtime environment working in your browser. You will need one to attempt this question.';
$string['enablejavaandjavascript'] = 'Loading  editor.... If this message does not get replaced by the editor then you have not got javascript working in your browser.';
$string['configeasyofischeroptions'] = '';
$string['filloutoneanswer'] = '<b><ul>
<li>Choose the number of stereo centers.</li>
<li>Choose whether the correct answer can be rotated 180 degrees.</li>
<li>Use the Fischer projection editor to create your answer.</li>
<li>Press the "Insert from editor" button to insert the code into the answer box.</li>
</ul></b>';
$string['filloutanswers'] = 'Make sure you choose the correct options above then drag your groups on the Fischer projection template.  Press the "Insert from editor" buttons to insert the answer into the answer boxes';
$string['insertfromeditor'] = 'Insert from editor';
$string['javaneeded'] = 'To use this page you need a Java-enabled browser. Download the latest Java plug-in from {$a}.';
$string['instructions'] = '';
$string['answer'] = 'Answer: {$a}';
$string['youranswer'] = 'Your answer: {$a}';
$string['correctansweris'] = 'The correct answer is: {$a}.';
$string['correctanswers'] = '<b>Instructions</b>';
$string['notenoughanswers'] = 'This type of question requires at least {$a} answers';
$string['pleaseenterananswer'] = 'Please enter an answer.';
$string['easyofischereditor'] = 'EasyOChem Fischer Projection Editor';
$string['author'] = 'By Carl LeBlond';
$string['insert'] = 'Insert from editor';
